### File

`projects/app-base-library/src/lib/angular/components/base.component.ts`

### Extends

`Base`

### Implements

`OnInit`

### Metadata

### Index

###### Properties

- Public config
- Public el
- Private _environment
- Private _settings
- Public settings

###### Methods

- ngOnInit
- Protected init

### Constructor

`constructor()`
Defined in projects/app-base-library/src/lib/angular/components/base.component.ts:13

### Methods

ngOnInit
`ngOnInit()`
Defined in projects/app-base-library/src/lib/angular/components/base.component.ts:19
Returns : `void`

Protected init
`init(settings: any)`
Inherited from `Base`
Defined in Base:35

Parameters :

Name | Type | Optional
settings | `any` | no

Returns : `any`

### Properties

Public config
`config: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/angular/components/base.component.ts:13

Public el
`el: `any``
Type : `any`
Defined in projects/app-base-library/src/lib/angular/components/base.component.ts:12

Private _environment
`_environment: `any``
Type : `any`
Default value : `{ type: 'js', namespace: '_abl'}`
Inherited from `Base`
Defined in Base:8

Private _settings
`_settings: `any``
Type : `any`
Default value : `{}`
Inherited from `Base`
Defined in Base:9

Public settings
`settings: `any``
Type : `any`
Default value : `{}`
Inherited from `Base`
Defined in Base:10

    import { Component, OnInit, ElementRef } from '@angular/core';
    import { Base } from '../../shared/index';
    import { BaseService } from '../services/index';

    // todo: deprecated

    @Component({
        template: ''
    })
    export class BaseComponent extends Base implements OnInit {

        public el: any;
        public config: any;

        constructor() {
            super();
        }

        ngOnInit() {
            // this.el = this.elementRef.nativeElement;
        }

    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""